/*
 * MINIGUI - Harbour Win32 GUI library Demo
 *
 * Copyright 2002 Roberto Lopez <harbourminigui@gmail.com>
 * http://harbourminigui.googlepages.com/
*/

* Enjoy !

#include "minigui.ch"

Function Main

	SET CENTURY ON

	SET BROWSESYNC ON

	DEFINE WINDOW Form_1 ;
		AT 0,0 ;
		WIDTH 640 HEIGHT 480 ;
		TITLE 'MiniGUI Browse Demo)' ;
		MAIN NOMAXIMIZE 

		DEFINE MAIN MENU 
			POPUP 'File'
				ITEM 'Set Browse Value'	ACTION Form_1.Browse_1.Value := 10
				ITEM 'Get Browse Value'	ACTION MsgInfo ( Str ( Form_1.Browse_1.Value ) )
				ITEM 'Open table'	ACTION OpenTables()
				ITEM 'Close table'	ACTION ( CloseTables() , Form_1.Browse_1.Refresh )
				ITEM 'Refresh Browse'	ACTION Form_1.Browse_1.Refresh
				SEPARATOR
				ITEM 'Exit'		ACTION Form_1.Release
			END POPUP
			POPUP 'Help'
				ITEM 'About'		ACTION MsgInfo ("MiniGUI Browse Demo") 
			END POPUP
		END MENU

		DEFINE STATUSBAR
			STATUSITEM ''
		END STATUSBAR

		@ 10,10 BROWSE Browse_1									;
			WIDTH 610  										;
			HEIGHT 390 										;	
			HEADERS { 'Code' , 'First Name' , 'Last Name', 'Birth Date', 'Married' , 'Biography' } ;
			WIDTHS { 150 , 150 , 150 , 150 , 150 , 150 } ;
			WORKAREA Test ;
			FIELDS { 'Test->Code' , 'Test->First' , 'Test->Last' , 'Test->Birth' , 'Test->Married' , 'Test->Bio' } ;
			TOOLTIP 'Browse Test' ;
			ON CHANGE ChangeTest() ;
			ON DBLCLICK MsgInfo('Double Click / ENTER') ;
			JUSTIFY { BROWSE_JTFY_LEFT,BROWSE_JTFY_CENTER, BROWSE_JTFY_CENTER, BROWSE_JTFY_CENTER,BROWSE_JTFY_CENTER,BROWSE_JTFY_CENTER} ;
			DELETE ;
			LOCK

	END WINDOW

	CENTER WINDOW Form_1

	Form_1.Browse_1.SetFocus

	SELECT 0 

	ACTIVATE WINDOW Form_1

Return Nil

Procedure OpenTables()

	CreateTable()

	Use Test Index Code
	Go Top

	Form_1.Browse_1.Value := RecNo()	
	
Return Nil

Procedure CloseTables()
	Close Test
Return Nil

Procedure ChangeTest()

	Form_1.StatusBar.Item(1) := 'Selected Record: ' + Alltrim( Str( RecNo() ) ) 

Return 


Procedure CreateTable

	Use test
	zap

	For i:= 1 To 100
		append blank
		Replace code with i 
		Replace First With 'First Name '+ Str(i)
		Replace Last With 'Last Name '+ Str(i)
		Replace Married With .t.
		replace birth with date()+i-10000
	Next i

	Index On Code To Code
	Use

Return




