/*
 * MINIGUI - Harbour Win32 GUI library Demo
 *
 * Copyright 2002 Roberto Lopez <harbourminigui@gmail.com>
 * http://harbourminigui.googlepages.com/
*/

#include "minigui.ch"

Function Main

	SET BROWSESYNC ON	

	DEFINE WINDOW Form_1 ;
		AT 0,0 ;
		WIDTH 640 HEIGHT 480 ;
		TITLE 'MiniGUI Browse Demo)' ;
		MAIN NOMAXIMIZE ;
		ON INIT OpenTables() ;
		ON RELEASE CloseTables()

		@ 10,10 LABEL Label_1 VALUE 'Pedidos'

		@ 10,310 LABEL Label_2 VALUE 'Items'

		@ 40,10 BROWSE Pedidos									;
			WIDTH 300  										;
			HEIGHT 350 										;	
			HEADERS { 'Pedido' , 'Cliente' } ;
			WIDTHS { 150 , 150 } ;
			WORKAREA Pedidos ;
			FIELDS { 'Pedidos->Pedido' , 'Pedidos->Cliente' } ;
			ON CHANGE UpdateItems()

		@ 40,310 BROWSE Items									;
			WIDTH 300  										;
			HEIGHT 350 										;	
			HEADERS { 'Pedido' , 'Produto' , 'Quant' , 'Valor' } ;
			WIDTHS { 150 , 150 ,150 , 150 } ;
			WORKAREA Items ;
			FIELDS { 'Items->Pedido' , 'Items->Produto','Items->Quant' , 'Items->Valor' } ;

	END WINDOW

	CENTER WINDOW Form_1

	ACTIVATE WINDOW Form_1

Return Nil

Procedure OpenTables()

	Use Pedidos New	
	Use Items New

	Form_1.Pedidos.Value := RecNo()
	UpdateItems()
	
Return Nil

Procedure CloseTables()

	Close DataBases

Return Nil

Procedure UpdateItems()

	Select Items
	Set Filter To Items->Pedido = Pedidos->Pedido
	Go Top
	Form_1.Items.Value := RecNo()

Return 

