/*
 * MINIGUI - Harbour Win32 GUI library Demo
 *
 * Copyright 2002 Roberto Lopez <harbourminigui@gmail.com>
 * http://harbourminigui.googlepages.com/
*/


* Enjoy !

#include "minigui.ch"

Function Main

	SET CENTURY ON

	DEFINE WINDOW Form_1 ;
		AT 0,0 ;
		WIDTH 640 HEIGHT 480 ;
		TITLE 'MiniGUI Browse Demo' ;
		MAIN NOMAXIMIZE ;
		ON INIT OpenTables() ;
		ON RELEASE CloseTables()

		DEFINE MAIN MENU 
			POPUP 'File'
				ITEM 'Set Browse Value'	ACTION Form_1.Tab_1(1).Browse_1.Value := 50
				ITEM 'Get Browse Value'	ACTION MsgInfo ( Str (  Form_1.Tab_1(1).Browse_1.Value ) )
				ITEM 'Refresh Browse'	ACTION Form_1.Tab_1(1).Browse_1.Refresh
				SEPARATOR
				ITEM 'Show Browse'	ACTION Form_1.Tab_1(1).Browse_1.Show
				ITEM 'Hide Browse'	ACTION Form_1.Tab_1(1).Browse_1.Hide
				ITEM 'Enable Browse'	ACTION Form_1.Tab_1(1).Browse_1.Enabled := .t.
				ITEM 'Disable Browse'	ACTION Form_1.Tab_1(1).Browse_1.Enabled := .f.
				SEPARATOR
				ITEM 'Set Browse Row'	ACTION Form_1.Tab_1(1).Browse_1.Row := Val(InputBox("Row:"))
				ITEM 'Get Browse Row'	ACTION MsgInfo ( Str (  Form_1.Tab_1(1).Browse_1.Row ) )
				ITEM 'Set Browse Col'	ACTION Form_1.Tab_1(1).Browse_1.Col := Val(InputBox("Col:"))
				ITEM 'Get Browse Col'	ACTION MsgInfo ( Str (  Form_1.Tab_1(1).Browse_1.Col ) )
				SEPARATOR
				ITEM 'Hide Label'	ACTION Form_1.Tab_1(2).Label_1.Hide
				ITEM 'Show Label'	ACTION Form_1.Tab_1(2).Label_1.Show

				SEPARATOR
				ITEM 'Exit'		ACTION Form_1.Release
			END POPUP
			POPUP 'Help'
				ITEM 'About'		ACTION MsgInfo ("MiniGUI Browse Demo") 
			END POPUP
		END MENU

		DEFINE STATUSBAR
			STATUSITEM 'HMG Power Ready!'
		END STATUSBAR

		DEFINE TAB Tab_1 ;
			AT 10,10 ;
			WIDTH 600 ;
			HEIGHT 400 ;
			VALUE 1 FONT 'ARIAL' SIZE 10

			PAGE '&Browse'

				@ 40,25 BROWSE Browse_1									;
				WIDTH 555  										;
				HEIGHT 350 										;	
				HEADERS { 'Code' , 'First Name' , 'Last Name', 'Birth Date', 'Married' , 'BioGraphy' }	;
				WIDTHS { 150 , 150 , 150 , 150 , 150 , 150 } 						;
				WORKAREA Test ;
				FIELDS { 'Test->Code' , 'Test->First' , 'Test->Last' , 'Test->Birth' , 'Test->Married' , 'Test->Bio' }	;
				VALUE 1 ;
				ON DBLCLICK MsgInfo('DoubleClick!!') ;
				ON HEADCLICK { {|| MsgInfo('Header 1 Clicked !')} , { || MsgInfo('Header 2 Clicked !')} , { || MsgInfo('Header 3 Clicked !')}, { || MsgInfo('Header 4 Clicked !')}, { || MsgInfo('Header 5 Clicked !')}, { || MsgInfo('Header 6 Clicked !')}}

			END PAGE

			PAGE '&More'

				@ 55,90 LABEL Label_1 ;
				VALUE 'Label !!!' ;
				WIDTH 100 HEIGHT 27 

				@ 80,90 CHECKBOX Check_1 ;
				CAPTION 'Check 1' ;
				VALUE .T. ;
				TOOLTIP 'CheckBox' 

				@ 115,85 SLIDER Slider_1 ;
				RANGE 1,10 ;
				VALUE 5 ;
				TOOLTIP 'Slider' 

				@ 45,240 FRAME TabFrame_2 WIDTH 125 HEIGHT 110 OPAQUE

				@ 50,260 RADIOGROUP Radio_1 ;
				OPTIONS { 'One' , 'Two' , 'Three', 'Four' } ;
				VALUE 1 ;
				WIDTH 100 ;
				TOOLTIP 'RadioGroup' 

			END PAGE

		END TAB

	END WINDOW

	CENTER WINDOW Form_1

	Form_1.Browse_1.SetFocus

	ACTIVATE WINDOW Form_1

Return Nil

Procedure OpenTables()
	Use Test 
Return Nil

Procedure CloseTables()
	Use
Return Nil







